Skip to main content
`Ctrl`+`K`

# KSPGMRESModifiedGramSchmidtOrthogonalization

This is the basic orthogonalization routine using modified Gram-Schmidt.

## Synopsis

    PetscErrorCode KSPGMRESModifiedGramSchmidtOrthogonalization(KSP ksp, PetscInt it)

Collective, No Fortran Support

## Input Parameters

- ksp - `KSP` object, must be associated with `KSPGMRES`, `KSPFGMRES`, or `KSPLGMRES` Krylov method

- it - one less than the current GMRES restart iteration, i.e. the size of the Krylov space

## Options Database Key

- -ksp_gmres_modifiedgramschmidt - Activates `KSPGMRESModifiedGramSchmidtOrthogonalization()`

## Note

In general this is much slower than `KSPGMRESClassicalGramSchmidtOrthogonalization()` but has better stability properties.

## See Also

KSP: Linear System Solvers, `KSPGMRESSetOrthogonalization()`, `KSPGMRESClassicalGramSchmidtOrthogonalization()`, `KSPGMRESGetOrthogonalization()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/borthog.c

## Examples

src/ksp/ksp/tutorials/ex5f.F90

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages